| Home >> All >> org >> jboss >> [ net Javadoc ] |
| | org.jboss.net.axis.* (33) | | org.jboss.net.jmx.* (16) | | org.jboss.net.protocol.* (13) |
| | org.jboss.net.sample.* (2) | | org.jboss.net.samples.* (16) | | org.jboss.net.sockets.* (7) |
| | org.jboss.net.ssl.* (2) | | org.jboss.net.taglib.* (1) | | org.jboss.net.uddi.* (7) |
| | org.jboss.net.xdoclet.* (2) |
org.jboss.net: Javadoc index of package org.jboss.net.
Package Samples:
org.jboss.net.axis.server: This package contains server- as well as client-side glue code to integrate the Axis project into JBoss.
org.jboss.net.jmx.server: This package hosts XML-interoperability code especially for the JMX-API.
org.jboss.net.jmx.adaptor.server: The JMX connector exports the JMX API as a web-service itself.
org.jboss.net.axis: This package hosts the source of the JBoss.net module.
org.jboss.net.taglib: This package hosts the source of the JBoss.net module.
org.jboss.net.protocol.resource: URL protocol stream helpers.
org.jboss.net.protocol.jndi
org.jboss.net.protocol
org.jboss.net.protocol.file
org.jboss.net.protocol.njar
org.jboss.net.sockets
org.jboss.net.sample.hello.ejb
org.jboss.net.sample.hello.web
org.jboss.net.jmx.adaptor
org.jboss.net.jmx
org.jboss.net.uddi.entities
org.jboss.net.uddi.registration
org.jboss.net.uddi
org.jboss.net.xdoclet
org.jboss.net.samples.store
Classes:
EJBProvider: A JBoss-compatible EJB Provider that exposes the methods of any session bean as a web service endpoint. Basically it is a slimmed downed derivative of the Axis-EJBProvider without the usual, corba-related configuration mumbo-jumbo that is operating under the presumption that the right classloader has already been set by the request flow chain (@see org.jboss.net.axis.SetClassLoaderHandler). Since Version 1.5 and thanks to Kevin Conner, we now also support stateful beans that are tied to the service scope (you should reasonably choose scope="session" in the tag of the corresponding web-service.xml) ...
FlashParametersTag: JSP Tag class for FlashParameters JSP tag. The purpose is to pass information to a Flash program embedded in a web page so that needed initial data is available to it. Two types of information are passed, one set is the hostUrl and the serviceContext of the SOAP server. The second is a collection of variable name, value pairs that would also be useful to the Flash program. When a web page contains a Flash program (.swf) file, it specifies an <OBJECT> tag. Inside the <OBJECT> tag is a parameter such as: <PARAM NAME=movie VALUE="HelloWorldForm.swf"> Using a Macromedia specified ...
JBossAuthenticationHandler: AuthenticationHandler that interacts with a given JBoss autentication manager via default simple principals and passchars from the HTTP Basic Authentication. It is derived from org.apache.axis.handlers.SimpleAuthenticationHandler. Note that this is somehow redundant to the WebContainer security, but we want to be able to install different authentication schemes for different web services behind a single entry-point. Per default, unauthenticated calls will be routed by NOT asking the jboss auth manager for validation (most domains still would refuse NobodyPrincipal, no matter how configured) and ...
MBeanProvider: Exposes mbeans as targets (pivot-handlers) of web-services. To deploy a particular mbean as a web-service, a deployment descriptor would look like: MBeanProvider is able to recognize an WsdlAwareHttpActionHandler in its transport chain such that it will set the soap-action headers in the wsdl.
FlashAxisServiceServlet: A AxisServlet that allows the Flash player/plugin to interact with the Axis SOAP engine despite the inability to generate the SOAPAction HTTP header. It spoofs the header by looking at the request parameters and generating a derived HttpServletRequestWrapper class to appear to migrate those that should actually be HTTP headers into the header. This class then just calls its base class's implementation of doPost(). For example, if you were invoking the Hello World SOAP example, you would append: ?SOAPAction=\"Hello\" to the service context: /axisflash/flashservices/Hello Change History jung, 02.05.2002: ...
JBossAuthorizationHandler: AuthorizationHandler that checks allowed and denied roles against the active subject using a given realmMapping. Is somehow redundant to what, e.g., the JBoss EJB invocation handler does, but maybe we need this to shield access to other container resources such as MBeans for which we will expose security-agnostic providers. Change History jung, 15.03.2002: Added security domain option. To Do jung, 14.03.2002: Cache simple principals. Principal factory for interacting with various security domains.
Handler: A protocol handler for the n(ested)jar protocol. This is class allows you to use the njar: URL protocol. It is very similar to it's jar: cusin. The difference being that jars can be nested. An example of how to use this class is: URL url = new URL("njar:njar:file:c:/test1.zip^/test2.zip^/hello.txt"); url.openStream(); Please be aware that the njar protocol caches it's jar in temporary storage when connections are opened into them. So for the above example, 2 files would cached a temp files names similar to nested-xxxx.jar
FlashNamespaceHandler: This class implements the Apache Axis Handler interface. As such, it is inserted into the chain of Axis Engine Handlers by specifying it in the axis-config.xml file of the jboss-net-flash.sar file. This particular handler flags the generated SOAP Envelope to not include namespace declarations. This is because Flash versions 5 and MX do not support namespaces and only support simple strings. Change notes
EJBHomeProvider: A JBoss-compatible Provider that exposes the methods of a beanīs home, such as a stateless session bean or an entity bean. It is working under the presumption that the right classloader has already been set by the invocation chain (@see org.jboss.net.axis.SetClassLoaderHandler). Change History To Do jung, 22.03.02: Service-Reference serialisation.
Handler: A protocol handler for the 'jndi' protocol. Provides access to jndi resources required by Tomcat 4.1.12. This is basically a place-marker class so the org.jboss.net.protocol.URLStreamHandlerFactory class can find org.apache.naming.resources.DirContextURLStreamHandler. See org.jboss.net.protocol.URLStreamHandlerFactory and org.jboss.net.protocol.file.Handler for the pattern adopted here
AttacheableService: The attacheable service implementation allows to bind axis service instances into JNDI without loosing the configuration link to their engine/deployer. Configuration pointers are reinstalled by a dedicated context attribute that allows to identify a target configuration when deserialized by the associated ServiceFactory.
TransactionRequestHandler: This handler is to create an artifical "client"-side transaction around the web-service request. Useful for interacting with entity beans. It should be complemented by a seperate org.jboss.net.axis.server.TransactionResponseHandler in the response chain to finish the transaction. Change notes
SetClassLoaderHandler: This handler is to embed an incoming request into the right classloader and should be put into a request chain after the service detection handlers. It should be complemented by a seperate org.jboss.net.axis.ResetClassLoaderHandler in the response chain to reinstall the thread association in case of success.
ServiceFactory: This service factory will reinstall (wsdl-generated) web service references and re-attach the stubs to the right configurations with the help of axis engine configuration factory. It is a temporary alternative to the prototypical axis service factory that only deals with untyped services at this point.
UDDI4JRegistryProxy: This class acts as the access point to register Web Services * with a UDDI instance during the deployment of a JBOSS web * service. It only supports the subset of publish APIs required to * deploy a web service. * @author pbraswell * @since June 2002 * @version $Revision: 1.1.1.1.2.1 $
AxisInvocationHandler: An invocation handler that allows typed and persistent client access to remote SOAP/Axis services. Adds method/interface to name resolution to the axis client engine. Unfortunately the AxisClientProxy has a package-protected constructor, otherwise we could inherit from there.
WsdlAwareHttpActionHandler: This HttpActionHandler will influence the wsdl-generation of action aware service providers, such as EJBProvider .
Deployment: Represents a wsdd deployment descriptor/registry with * special service-specific classloading features. * @author Christoph G. Jung * @since 09.03.2002 * @version $Revision: 1.4.2.3 $
MBeanInvocationHandler: Helper class for dealing with remote JMX beans in typed or untyped ways. * @since 1. Oktober 2001, 18:22 * @author Christoph G. Jung * @version $Revision: 1.7.4.2 $
EntityBeanDeserializer: Server-side deserializer hitting an existing entity bean. Derived from the axis BeanDeserializer. Currently relies on some silly conventions that must be configurable in the deployment descriptor.
AxisServiceServlet: An AxisServlet that is able to extract the corresponding AxisEngine from its installation context and builds the right message contexts for the JBoss classloading and deployment architecture.
DummyServlet: This class is only here because the project requires so few classes that there is nothing here for XDoclet to run a template on and generate web deployment files.
Item: Useful value-object pattern that is mapped via Axis to a corresponding remote entity bean and its management service. Change History
| Home | Contact Us | Privacy Policy | Terms of Service |